Package be.fgov.ehealth.rn.commons.business.v1

# Class BaseRequestType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.BaseRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public abstract class BaseRequestType extends Object implements Serializable
Type defining the base structure for all service requests

Java class for BaseRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BaseRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InformationCustomer" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationCustomerType"/>
             <element name="InformationCBSS" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationCBSSType" minOccurs="0"/>
             <element name="LegalContext" type="{urn:be:fgov:ehealth:rn:commons:business:v1}LegalContextType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InformationCBSSType`
  `getInformationCBSS()`
  Gets the value of the informationCBSS property.
  `InformationCustomerType`
  `getInformationCustomer()`
  Gets the value of the informationCustomer property.
  `String`
  `getLegalContext()`
  legal context under which the request was made
  `void`
  `setInformationCBSS(InformationCBSSType value)`
  Sets the value of the informationCBSS property.
  `void`
  `setInformationCustomer(InformationCustomerType value)`
  Sets the value of the informationCustomer property.
  `void`
  `setLegalContext(String value)`
  Sets the value of the legalContext property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseRequestType

    public BaseRequestType()

- ## Method Details

  - ### getInformationCustomer

    public InformationCustomerType getInformationCustomer()
    Gets the value of the informationCustomer property.
    Returns:
      possible object is `InformationCustomerType`

  - ### setInformationCustomer

    public void setInformationCustomer(InformationCustomerType value)
    Sets the value of the informationCustomer property.
    Parameters:
      `value` - allowed object is `InformationCustomerType`

  - ### getInformationCBSS

    public InformationCBSSType getInformationCBSS()
    Gets the value of the informationCBSS property.
    Returns:
      possible object is `InformationCBSSType`

  - ### setInformationCBSS

    public void setInformationCBSS(InformationCBSSType value)
    Sets the value of the informationCBSS property.
    Parameters:
      `value` - allowed object is `InformationCBSSType`

  - ### getLegalContext

    public String getLegalContext()
    legal context under which the request was made
    Returns:
      possible object is `String`

  - ### setLegalContext

    public void setLegalContext(String value)
    Sets the value of the legalContext property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLegalContext()`